## How to build

- execute `npm install`

## Generate the extension:

To create the `.vsix`:

- `npm install -g vsce`
- `vsce package`

## Install the extension

Once you have the `sym3-x.y.z.vsix` file:

- In VSCode, open the Extension panel.
- ... > Install from VSIX.
- Select `sym3-x.y.z.vsix`.

You should see the **Sym3 Debug** extension in the **Installed** extensions.

## How to debug

- Open Sym3 Integrator.
- Open your project with simulation scripts.
- Start the simulation. (the TCP port 37009 should be opened)
- Open `Ribbon > Developer > Edit with VS Code` (this will automatically create the `.vscode/` folder)
- Add breakpoints and run (F5)