"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.activate = activate;
exports.deactivate = deactivate;
const vscode = __importStar(require("vscode"));
const DEFAULT_PORT = 34009;
const DEFAULT_HOST = undefined;
class Sym3DebugAdapterServerDescriptorFactory {
    createDebugAdapterDescriptor(session, executable) {
        let port = DEFAULT_PORT;
        let host = DEFAULT_HOST;
        if (typeof session.configuration.port === "number") {
            port = session.configuration.port;
        }
        if (typeof session.configuration.host === "string") {
            host = session.configuration.host;
        }
        return new vscode.DebugAdapterServer(port, host);
    }
    dispose() {
    }
}
// Add custom parameters to debug configurations.
class Sym3DebugConfigurationProvider {
    resolveDebugConfiguration(folder, debugConfiguration, token) {
        // basePath is the path to the base of this workspace.
        // Source's paths need to match, so Sym3 needs this information.
        if (debugConfiguration.basePath == undefined && folder != undefined) {
            debugConfiguration.basePath = folder.uri.fsPath;
        }
        return debugConfiguration;
    }
}
// This method is called when your extension is activated
// Your extension is activated the very first time the command is executed
function activate(context) {
    vscode.debug.registerDebugAdapterDescriptorFactory("sym3", new Sym3DebugAdapterServerDescriptorFactory());
    vscode.debug.registerDebugConfigurationProvider("sym3", new Sym3DebugConfigurationProvider());
}
// This method is called when your extension is deactivated
function deactivate() { }
//# sourceMappingURL=extension.js.map